.wrapper {
  display: flex;
  height: 720px;
  align-items: center;
  justify-content: center;

  .mycalc {
    width: 300px;
    display: flex;
    overflow: hidden;
    align-items: center;
    border-radius: 10px;
    flex-direction: column;
    border: 1px solid black;
    background-color: bisque;
    transition: width 0.5s ease-in-out;

    &.my-ing-calc {
      width: 530px;
    }

    .all-btn {
      display: flex;
      transition: 0.5s;
      min-width: 280px;

      .all-btn-numbers,
      .all-btn-signs {
        z-index: 2;
      }
    }

    .all-btn-numbers {
      width: 210px;
      display: flex;
      flex-wrap: wrap;
    }

    .all-btn-signs {
      display: flex;
      flex-direction: column;
      justify-content: space-around;
    }

    .all-btn-numbers button,
    .all-btn-signs button {
      width: 50px;
      height: 50px;
      border: none;
      margin: 10px;
      display: flex;
      font-size: 20px;
      border-radius: 50px;
      align-items: center;
      justify-content: center;
    }

    .all-btn-signs button {
      font-weight: 700;
    }

    .all-btn-signs button:hover {
      cursor: pointer;
    }

    .all-btn-numbers button:hover {
      cursor: pointer;
    }

    .btn-extra {
      display: flex;
    }

    .btn-extra button {
      color: white;
    }

    .btn-clear-equals button {
      width: 55px;
      padding: 5px;
      border: none;
      font-size: 30px;
      margin: 10px 5px;
      border-radius: 10px;
    }

    #clear {
      color: rgb(68, 255, 205);
    }

    #equals {
      color: rgb(0, 0, 0);
    }

    #clear:hover,
    #equals:hover {
      cursor: pointer;
      background-color: white;
    }

    input {
      width: 80%;
      padding: 10px;
      font-weight: 700;
      border-radius: 15px;
      border: 1px solid rgb(0, 0, 0);
    }

    input:focus {
      outline: none;
      border: 1px solid grey;
    }

    .ingCalc {
      opacity: 0;
      display: flex;
      height: 300px;
      flex-wrap: wrap;
      max-width: 225px;
      position: absolute;
      transition: opacity 0.5s;
      justify-content: center;

      button {
        margin: 10px;
        width: 50px;
        height: 50px;
      }
    }
  }
}
